QwtSeriesStore< T >(3)

NAME
QwtSeriesStore< T > - Class storing a QwtSeriesData object.

SYNOPSIS

#include <qwt_series_store.h>

Inherits QwtAbstractSeriesStore.

  Public Member Functions
QwtSeriesStore ()
Constructor The store contains no series.
~QwtSeriesStore ()
Destructor.
void setData (QwtSeriesData< T > *series)
QwtSeriesData< T > * data ()
const QwtSeriesData< T > * data () const
T sample (int index) const
virtual size_t dataSize () const override
virtual QRectF dataRect () const override
virtual void setRectOfInterest (const QRectF &rect) override
QwtSeriesData< T > * swapData (QwtSeriesData< T > *series)

  Additional Inherited Members

Detailed Description

  template<typename T>
class QwtSeriesStore< T >" Class storing a QwtSeriesData object. QwtSeriesStore and QwtPlotSeriesItem are intended as base classes for all plot items iterating over a series of samples. Both classes share a virtual base class ( QwtAbstractSeriesStore ) to bridge between them.

QwtSeriesStore offers the template based part for the plot item API, so that QwtPlotSeriesItem can be derived without any hassle with templates.

Definition at line 66 of file qwt_series_store.h.

Member Function Documentation

  template<typename T > QwtSeriesData< T > * QwtSeriesStore< T >::data [inline]

Returns
    the the series data

Definition at line 146 of file qwt_series_store.h.

  template<typename T > const QwtSeriesData< T > * QwtSeriesStore< T >::data [inline]

Returns
    the the series data

Definition at line 152 of file qwt_series_store.h.

  template<typename T > QRectF QwtSeriesStore< T >::dataRect [override], [virtual]

Returns
    Bounding rectangle of the series or an invalid rectangle, when no series is stored

See also
    QwtSeriesData<T>::boundingRect()

Implements QwtAbstractSeriesStore.

Definition at line 184 of file qwt_series_store.h.

  template<typename T > size_t QwtSeriesStore< T >::dataSize [override], [virtual]

Returns
    Number of samples of the series

See also
    setData(), QwtSeriesData<T>::size()

Implements QwtAbstractSeriesStore.

Definition at line 175 of file qwt_series_store.h.

  template<typename T > T QwtSeriesStore< T >::sample (int index) const [inline]

Parameters
    index Index

Returns
    Sample at position index

Definition at line 158 of file qwt_series_store.h.

  template<typename T > void QwtSeriesStore< T >::setData (QwtSeriesData< T > * series)
Assign a series of samples

Parameters
    series Data

Warning
    The item takes ownership of the data object, deleting it when its not used anymore.

Definition at line 164 of file qwt_series_store.h.

  template<typename T > void QwtSeriesStore< T >::setRectOfInterest (const QRectF & rect) [override], [virtual]
Set a the 'rect of interest' for the series

Parameters
    rect Rectangle of interest

See also
    QwtSeriesData<T>::setRectOfInterest()

Implements QwtAbstractSeriesStore.

Definition at line 193 of file qwt_series_store.h.

  template<typename T > QwtSeriesData< T > * QwtSeriesStore< T >::swapData (QwtSeriesData< T > * series)
Replace a series without deleting the previous one

Parameters
    series New series

Returns
    Previously assigned series

Definition at line 200 of file qwt_series_store.h.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.